Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008112TestLinkGUIpublic2017-10-16 19:582017-11-05 09:07
ReporterFlashBytes 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0008112: Creating a new build is not possible in latest Google Chrome due to security reasons and not closed HTML tag
DescriptionCreating a new build is not allowed in Chrome version 62 because of missing closing tag for create action button:

[Deprecation] Resource requests whose URLs contained both removed whitespace (`\n`, `\r`, `\t`) characters and less-than characters (`<`) are blocked. Please remove newlines and encode less-than characters from places like element attribute values in order to load these resources. See https://www.chromestatus.com/feature/5735596811091968 [^] for more details.
Steps To Reproduce1. Login with latest Google Chrome
2. Have a test project, at least 1 test case
3. Click Builds / Release
4. Press the create button -> nothing happens
5. Open the web developer tools -> you see
Additional InformationThis button html looks like this and is missing the closing " for the action where Chrome refuses for security reasons to work with it.

<form method="post" action="lib/plan/buildEdit.php?do_action=create&tplan_id=->
                       <input type='hidden' name='CSRFName' id='CSRFName' value='CSRFGuard_1130389496' />
                       <input type='hidden' name='CSRFToken' id='CSRFToken' value='whatever' />tplan_id" id="create_build">
    <input type="submit" name="create_build" value="Create">
  </form>



View gets created in buildView.tpl:

{$createAction="$managerURL?do_action=create&tplan_id=$gui->tplan_id"}

and

<div class="groupBtn">
  <form method="post" action="{$createAction}" id="create_build">
    <input type="submit" name="create_build" value="{$labels.btn_build_create}" />
  </form>
</div>

Thanks
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql standard
BrowserGoogle Chrome 62
PHP Version5.6
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026946)
fman (administrator)
2017-10-18 20:45

thanks, will check on latest code on github
(0026982)
fman (administrator)
2017-11-05 09:06

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/723ed143d03773496ff370e788048190843ea863 [^]

- Issue History
Date Modified Username Field Change
2017-10-16 19:58 FlashBytes New Issue
2017-10-18 20:45 fman Note Added: 0026946
2017-11-05 09:06 fman Note Added: 0026982
2017-11-05 09:06 fman QA Team - Task Workflow Status => TBD
2017-11-05 09:06 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-11-05 09:06 fman Additional Information Updated View Revisions
2017-11-05 09:06 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-11-05 09:06 fman Status new => resolved
2017-11-05 09:06 fman Resolution open => fixed
2017-11-05 09:06 fman Assigned To => fman
2017-11-05 09:07 fman Relationship added child of 0007817



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker